Bug 1012533 - [Usability] Cannot change role in messaging security settings
[Usability] Cannot change role in messaging security settings
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity low
: ---
: TBD EAP 7
Assigned To: Catherine Robson
Pavel Jelinek
eap-docs
Usability
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 11:19 EDT by Martin Svehla
Modified: 2015-06-23 08:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-23 08:50:13 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Svehla 2013-09-26 11:19:05 EDT
Description of problem:
In Profile -> Messaging -> Destinations -> Security Settings, if I want to change role for the address, I have to delete the settings for the old role and create new for the new role, even if I wanted same settings. It would be nice if I could just change the role in edit mode for the address.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER3
Comment 1 Heiko Braun 2014-07-09 07:38:07 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 2 Jakub Cechacek 2014-07-21 05:51:33 EDT
Moving to 6.4 as the issue is still valid for 6.3
Comment 3 Jakub Cechacek 2014-07-21 05:52:55 EDT
It might be worth to reconsider whether this should be marked as usability issue. Currently console more or less mirrors management model and CLI -- it is not possible to edit "role" because rather than an attribute it is a child resource of Security Setting. Thus changing it is effectively the same as removing the old one and creating a new role with desired changes. 


The question is whether we want resource structure to look different in console then in CLI. Although Similar behavior is implemented for RBAC role mappings, it make more sense there as the entire role configuration is orthogonal to model (user centered vs role centered).
Comment 4 Catherine Robson 2014-08-01 13:22:47 EDT
Expect to fix this with EAP 7 redesigns.

Note You need to log in before you can comment on or make changes to this bug.